Bug 311024 - No tooltip on empty folders
Summary: No tooltip on empty folders
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: folders (show other bugs)
Version: 4.10 pre
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-02 13:39 UTC by Bernd Oliver Sünderhauf
Modified: 2012-12-03 09:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Oliver Sünderhauf 2012-12-02 13:39:48 UTC
No tooltip is displayed for folders that don't contain at least one message.

Reproducible: Always
Comment 1 Laurent Montel 2012-12-02 15:02:37 UTC
Heu... I can add a tooltip but just display :
0 unread mails
0 read mails
0ko ?

do you think it's useful ?
Comment 2 Laurent Montel 2012-12-03 08:03:03 UTC
Git commit a20c2c9794d7f801db1ada913f87a6418135a3cb by Montel Laurent.
Committed on 03/12/2012 at 09:02.
Pushed by mlaurent into branch 'master'.

Fix Bug 311024 - No tooltip on empty folders

Finally it's logical to show tooltip even if folder is empty
otherwise we must click on to know why there is not tooltip and show
that it's empty

FIXED-IN: 4.10

M  +1    -1    libkdepim/statisticsproxymodel.cpp

http://commits.kde.org/kdepim/a20c2c9794d7f801db1ada913f87a6418135a3cb
Comment 3 Bernd Oliver Sünderhauf 2012-12-03 09:21:56 UTC
(In reply to comment #2)
> Finally it's logical to show tooltip even if folder is empty
> otherwise we must click on to know why there is not tooltip and show
> that it's empty

That's exactly what I thought... :)
Also, it felt buggy. Thanks for fixing!